div#delivery-yandex-map {
	width: 100%;
	height: 400px;
	margin-bottom: 20px;
}

div#street-searchbox {
	width: 100%;
}

.searchbox-wrapper .t-input-block {
	position: relative;
}

.searchbox-wrapper.load .t-input-block:after {
	content: "";
	border: 3px solid #f3f3f3;
	border-top-color: rgba(0, 0, 0, .6);
	border-radius: 50%;
	width: 20px;
	height: 20px;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
	position: absolute;
	right: 10px;
	top: 16px;
	opacity: 1 !important;
}

#customdelivery .searchbox-input.load {
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
}

#customdelivery .searchbox-input {
	padding-right: 45px !important;
}

#house-searchbox.searchbox-wrapper .t-input-block:after {
	opacity: 0;
}

@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

.ss-select.delivery-pickup-select {
	margin-bottom: 20px;
}

.searchbox-wrapper {
	position: relative;
	width: 48%;
}

div#pickup-searchbox,
div#street-searchbox,
div#city-searchbox {
	width: 100%;
}

.t706 .t-form_bbonly .searchbox-list:not(:empty) {
	top: 80px;
}

.t706 .searchbox-list:not(:empty) {
	top: 85px;
	width: 100%;
	cursor: pointer;
	max-height: 330px;
	overflow-y: scroll;
	position: absolute;
	background: #fff;
	z-index: 10;
	box-sizing: border-box;
	box-shadow: 0 4px 7px 0 gray;
}

.searchbox-list {
	z-index: 10;
}

.searchbox-list-item {
	padding: 20px;
}

.searchbox-list-item:hover {
	background: #f1f1f1;
}

.searchbox-list-item-description {
	color: #ababab;
	margin-top: 2px;
	font-size: .8em;
	pointer-events: none;
}

.searchbox-list-item-text {
	pointer-events: none;
}

#customdelivery .delivery-hint {
	margin-top: 20px;
	color: #505050;
}

.flex-wrapper {
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-ms-flex-direction: row;
	-webkit-flex-direction: row;
	flex-direction: row;
	-ms-flex-pack: justify;
	-webkit-justify-content: space-between;
	justify-content: space-between;
}

.flex-wrapper .t-input-title {
	height: auto;
}

.flex-wrapper .t-input-group {
	width: 230px;
}

.ss-select {
	-webkit-appearance: none;
	-moz-appearance: none;
	position: relative;
	border-radius: 0;
	cursor: pointer;
}

#customdelivery input::-webkit-outer-spin-button,
#customdelivery input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.ss-select select {
	z-index: 1;
}

.ss-select:after {
	content: ' ';
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 6px 5px 0 5px;
	border-color: #9a9a9a transparent transparent transparent;
	position: absolute;
	bottom: 20px;
	right: 0;
	transition: all ease-in-out .1s;
}

.ss-select:hover:after {
	border-color: #fa8e73 transparent transparent transparent;
}

.ss-select select:-moz-focusring {
	color: transparent;
	text-shadow: 0 0 0 #000;
}

.ss-select-after-input {
	position: absolute;
	top: 18px;
	height: 53px;
	right: 0;
	border: 0px;
	font-size: 16px;
	background: transparent;
}

.ss-textarea {
	padding: 0;
	margin: 5px 0 0 0;
	border: 0;
	border-bottom: 1px solid #b5b5b5;
	border-top: 1px solid #e5e5e5;
	background: transparent none repeat scroll 0% 0%;
	font-size: 24px;
	font-weight: 300;
	color: #000;
	width: 100%;
	height: 106px;
	box-sizing: border-box;
}

.ss-input {
	padding: 0;
	margin: 0;
	border: 0;
	border-bottom: 1px solid #b5b5b5;
	background: transparent none repeat scroll 0% 0%;
	font-size: 24px;
	font-weight: 300;
	color: #000;
	width: 100%;
	height: 53px;
	box-sizing: border-box;
	transition: all ease-in-out .1s;
	outline: 0 !important;
}

.ss-input:focus,
.ss-form-group:hover .ss-input,
.ss-textarea:focus,
.ss-form-group:hover .ss-textarea {
	border-bottom: 1px solid #fa8e73;
}

.ss-input::-moz-placeholder,
.ss-textarea::-moz-placeholder {
	color: #cacaca;
}

.ss-input::-webkit-.ss-input-placeholder,
.ss-textarea::-webkit-placeholder {
	color: #cacaca;
}

.ss-label {
	font-size: 14px;
	line-height: 14px;
	font-weight: 300;
	color: #000;
	text-transform: uppercase;
	cursor: default;
	letter-spacing: 1px;
	transition: all ease-in-out .1s;
}

select.ss-input.ss-select {
	font-size: 16px;
	padding: 0 20px;
	border: 1px solid;
}

#customdelivery .ss-select:after {
	right: 20px;
}

span.delivery-minimum-time,
span.delivery-minimum-price {
	color: #505050;
}

.delivery-checkbox-label + span.delivery-minimum-time,
.delivery-checkbox-label + span.delivery-minimum-price {
	margin-left: 4px
}

span.delivery-minimum-time + span.delivery-minimum-price:before {
	content: ', '
}

span.delivery-checkbox-label {
	font-weight: 500;
	color: #000000;
}

#addresses-wrapper .t-input-group.t-input-group_in {
	width: 48%;
}

div#addresses-wrapper {
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-justify-content: space-between;
	-ms-flex-pack: justify;
	justify-content: space-between;
	margin: 20px 0;
}

.t-input-title.t-descr.t-descr_md {
	height: auto;
}

div#street-searchbox .t-input-group {
	width: 100% !important;
}

#addresses-wrapper .searchbox-wrapper .t-input-group.t-input-group_in {
	width: 100%;
}



.delivery-full-address+.t706__cartwin-totalamount-wrap {
	padding-top: 2px;
}

#customdelivery input[disabled="disabled"]+.t-radio__indicator,
#customdelivery input[disabled="disabled"]+.t-radio__indicator+.delivery-checkbox-label,
#customdelivery input[disabled="disabled"]+.t-radio__indicator+.delivery-checkbox-label+.delivery-minimum {
	opacity: .5;
}




#customdelivery div#pickup-searchbox.load .t-input-block:after {
	right: 45px;
}

#addresses-wrapper .t-input-group.t-input-group_in:last-child {
	margin-bottom: 0;
}

@media screen and (max-width: 726px) {
	.searchbox-list-item {
		padding: 10px 20px;
		font-size: 12px;
	}
}

body .delivery-full-address {
	font-size: 14px;
	font-weight: 400;
	text-align: right;
	margin-bottom: 10px;
}

#customdelivery .searchbox-list-item {
	transition: .2s;
}

#customdelivery {
	margin-top: 60px;
}

#customdelivery #delivery-services-wrapper {
	margin-top: 20px;
}

#customdelivery .delivery-map-point-select {
	font-family: 'Roboto', Arial, sans-serif;
	text-align: center;
	height: 40px;
	line-height: 40px;
	border: 0;
	width: 150px;
	font-size: 16px;
	color: #fff;
	background-color: #000;
	-webkit-appearance: none;
	font-weight: 700;
	white-space: nowrap;
	background-image: none;
	cursor: pointer;
	margin: 0;
	box-sizing: border-box;
	outline: 0;
}

#customdelivery .t-input-block.active .t-input-clear {
	content: '';
	width: 15px;
	height: 15px;
	opacity: .5;
	border: 0;
	position: absolute;
	top: 20px;
	right: 15px;
	pointer-events: auto;
	-webkit-user-select: auto;
	-ms-user-select: auto;
	user-select: auto;
	cursor: pointer;
	background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTAxIiBoZWlnaHQ9IjEwMSIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNOTguNjUgOTYuNTVMNTIuMTEgNDkuOTMgOTguMzYgMy41Yy41OS0uNTkuNTktMS40NyAwLTIuMDZhMS40MiAxLjQyIDAgMDAtMi4wNiAwTDUwLjA1IDQ3Ljg3IDMuNjkgMS40NGExLjQyIDEuNDIgMCAwMC0yLjA1IDAgMS40MiAxLjQyIDAgMDAwIDIuMDZsNDYuMzUgNDYuNDNMMS40NCA5Ni41NUExLjQyIDEuNDIgMCAwMDMuNCA5OC42bDQ2LjU1LTQ2LjYyTDk2LjUgOTguNmMuMy4zLjY4LjM5Ljk4LjM5LjMgMCAuNjgtLjEuOTgtLjQuNjgtLjU4LjY4LTEuNDYuMi0yLjA1eiIgZmlsbD0iIzExMSIgc3Ryb2tlPSIjMTExIi8+PC9zdmc+);
	background-size: contain;
}

#customdelivery .searchbox-wrapper .t-input-block.active:after {
	content: none;
}

#customdelivery .searchbox-wrapper.load .t-input-block.active:after {
	content: '';
}

#customdelivery .load .t-input-block.active .t-input-clear {
	display: none;
}

#customdelivery .t706__search-icon {
	position: absolute;
	right: 15px;
	top: 20px;
	width: 17px;
	height: 17px;
	cursor: default;
	opacity: .5;
	display: none;
}

#customdelivery .searchbox-wrapper.load .t706__search-icon {
	display: none;
}

#customdelivery .t-input-block.active svg.t706__search-icon {
	display: none;
}

#customdelivery .searchbox-info {
	margin: 0 0 20px;
}

#customdelivery .searchbox-info .t-text {
	margin: 0 0 5px 0;
}

#customdelivery .show-info .searchbox-inner-wrapper {
	display: none;
}

#customdelivery .searchbox-info {
	display: none;
}

#customdelivery .show-info .searchbox-info {
	display: block;
}

#customdelivery .searchbox-wrapper .t706__search-icon {
	display: block;
}


.t706 .t-input-phonemask__wrap input.t-input-phonemask {
	border: 0;
}

.t706 .searchbox-list-item-description {
	color: #716f6f;
}

.t706 .delivery-full-address {
	font-size: 14px;
	font-weight: 400;
	text-align: right;
}

/* Повтор, есть в tilda-cart-1.0. TODO: удалить */
.t706 .t706__minimal {
	font-size: 14px;
	font-weight: 400;
	color: gray;
}

.t706 .t706__minimal span {
	position: relative;
}

.t706 .t706__minimal span:after {
	content: '';
	position: absolute;
	bottom: 0;
	width: 0;
	height: 1px;
	background: gray;
	left: 0;
	transition: .2s;
}

.t706 .t706__minimal.active span:after {
	width: 100%;
}

.tcart__address-selectbox-title {
	flex: 1;
	border-top: 1px solid #000;
	padding-top: 25px;
	padding-bottom: 5px;
	margin-top: 5px;
	font-size: 0.9em;
	opacity: 0.6;;
}

.tcart-address {
	display: flex;
	flex-direction: column;
	gap: 2px;
	min-width: 0;
	padding: 20px 0;
}

.tcart-select__selected .tcart-address {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	padding: 0;
}

.tcart-address__name {
	font-weight: 600;
}

.tcart-address__subtext {
	opacity: 0.6;
}

/* TCartSelect */
.tcart-select {
	position: relative;
}

.tcart-select__selected {
	cursor: pointer;
	background: #fff;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	min-height: 56px;
	height: auto !important;
	padding-right: 30px;
}

.tcart-select__selected::after {
	content: ' ';
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 6px 5px 0 5px;
	border-color: #000 transparent transparent transparent;
	position: absolute;
	right: 18px;
}

.tcart-select__options {
	position: absolute;
	top: 100%;
	left: 0;
	right: 0;
	border: 1px solid #ccc;
	background: #fff;
	display: none;
	overflow-y: auto;
	z-index: 10;
	max-height: 330px;
	box-shadow: 0 4px 7px 0 gray;
}

.tcart-select__option {
	cursor: pointer;
	padding: 0 20px;
	transition: background-color 0.2s;
	display: flex;
	align-items: center;
	position: relative;
	overflow-wrap: break-word;
}

.tcart-select__option_selected::after {
    content: '';
    width: 12px;
    height: 12px;
    background-image: url("data:image/svg+xml,%3Csvg width=%2712%27 height=%2712%27 viewBox=%270 0 12 12%27 fill=%27none%27 xmlns=%27http://www.w3.org/2000/svg%27%3E%3Cpath fill-rule=%27evenodd%27 clip-rule=%27evenodd%27 d=%27M11.7072 3.20718L4.00008 10.9143L0.292969 7.20718L1.70718 5.79297L4.00008 8.08586L10.293 1.79297L11.7072 3.20718Z%27 fill=%27black%27/%3E%3C/svg%3E%0A");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    flex-shrink: 0;
    margin-left: auto;
    transition: filter 0.2s ease-in-out;
}

.tcart-select__option_disabled {
	pointer-events: none;
	opacity: 0.4;
	cursor: auto;
}

.tcart-select__option_unselectable {
	pointer-events: none;
	cursor: auto;
}

.tcart-select__option:not(.tcart-select__option_disabled):not(.tcart-select__option_unselectable):hover {
	background: #f1f1f1;
}


.tcart-select_open .tcart-select__options {
	display: block;
}


.tcart__preloder__img {
	width: 40px;
    margin: 10px auto;
}

/* Стили лоадера в доставках */
/* Взяты из дашборда */
/* TODO лоадер: заменить на единую иконку, которая когда нибудь появится */
.t-icon-loader-rect {
    --animation-duration: 1s;
    animation: t-icon-loader-animation var(--animation-duration) linear infinite;
}

.t-icon-loader-rect:nth-child(1) {
    animation-delay: calc(var(--animation-duration) / -8 * 8);
}

.t-icon-loader-rect:nth-child(2) {
    animation-delay: calc(var(--animation-duration) / -8 * 7);
}

.t-icon-loader-rect:nth-child(3) {
    animation-delay: calc(var(--animation-duration) / -8 * 6);
}

.t-icon-loader-rect:nth-child(4) {
    animation-delay: calc(var(--animation-duration) / -8 * 5);
}

.t-icon-loader-rect:nth-child(5) {
    animation-delay: calc(var(--animation-duration) / -8 * 4);
}

.t-icon-loader-rect:nth-child(6) {
    animation-delay: calc(var(--animation-duration) / -8 * 3);
}

.t-icon-loader-rect:nth-child(7) {
    animation-delay: calc(var(--animation-duration) / -8 * 2);
}

.t-icon-loader-rect:nth-child(8) {
    animation-delay: calc(var(--animation-duration) / -8 * 1);
}

@keyframes t-icon-loader-animation {
    to {
        opacity: 0;
    }
}


/* TODO Удалить после релиза tilda-delivery-1.0.beta.js */
/* Начало блока для удаления */
.lds-ellipsis {
	display: block;
	position: relative;
	width: 80px;
	height: 50px;
	margin: auto;
}

.lds-ellipsis div {
	position: absolute;
	top: 20px;
	width: 13px;
	height: 13px;
	border-radius: 50%;
	background: #000;
	opacity: .8;
	-webkit-animation-timing-function: cubic-bezier(0, 1, 1, 0);
	animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
	left: 8px;
	-webkit-animation: lds-ellipsis1 .6s infinite;
	animation: lds-ellipsis1 .6s infinite;
}

.lds-ellipsis div:nth-child(2) {
	left: 8px;
	-webkit-animation: lds-ellipsis2 .6s infinite;
	animation: lds-ellipsis2 .6s infinite;
}

.lds-ellipsis div:nth-child(3) {
	left: 32px;
	-webkit-animation: lds-ellipsis2 .6s infinite;
	animation: lds-ellipsis2 .6s infinite;
}

.lds-ellipsis div:nth-child(4) {
	left: 56px;
	-webkit-animation: lds-ellipsis3 .6s infinite;
	animation: lds-ellipsis3 .6s infinite;
}

@-webkit-keyframes lds-ellipsis1 {
	0% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}

	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}

@keyframes lds-ellipsis1 {
	0% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}

	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}

@-webkit-keyframes lds-ellipsis3 {
	0% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}

	100% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}
}

@keyframes lds-ellipsis3 {
	0% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}

	100% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}
}

@-webkit-keyframes lds-ellipsis2 {
	0% {
		-webkit-transform: translate(0, 0);
		transform: translate(0, 0);
	}

	100% {
		-webkit-transform: translate(24px, 0);
		transform: translate(24px, 0);
	}
}

@keyframes lds-ellipsis2 {
	0% {
		-webkit-transform: translate(0, 0);
		transform: translate(0, 0);
	}

	100% {
		-webkit-transform: translate(24px, 0);
		transform: translate(24px, 0);
	}
}
/* Конец блока для удаления */
